<style>
	form{
		flex: 1 1 auto;
		display: flex;
		flex-flow: column nowrap;
	}
	embed{
		height: 50vh;
		margin: 0.7em 0em;
	}
	p{
		flex: 1 1 auto;
		margin: 0.3em;
		display: flex;
	}
	p > input{
		flex: 1 1 auto;
		margin: 0em 0.2em;
		border-radius: 0em;
	}
	p > button{
		margin: 0;
	}
	button[type='submit']{
		margin: auto;
		margin-top: 0.7em;
	}
</style>
<script>
	import {relURL, relay} from './util/network'

	export let id
	export let embed

	export let artist
	export let title
	export let start='00:00:00'

	export let duration
	const second = duration%60 || 0
	const minute = ((duration/60) | 0)%60 || 0
	const hour = (duration/(60*60)) | 0 || 0
	const digitize = v=> !v? '00': v<10? '0'+v: v
	export let end = `${digitize(hour)}:${digitize(minute)}:${digitize(second)}`
</script>
<form action={relURL(`/dl/${id}`)} on:submit={()=> relay({id, artist, title})}>
	<embed src={embed}>
	<p>
		<input name='artist' bind:value={artist} placeholder='artist'>
		<button type='button' on:click={()=>{
			const swap = artist
			artist = title
			title = swap
		}}>~</button>
		<input name='title' bind:value={title} placeholder='title'>
	</p>
	<p>
		<input name='start' type='time' bind:value={start} step='1'>
		<input name='end' type='time' bind:value={end} step='1'>
	</p>
	<button type='submit'>download</button>
</form>
